---
title: "List API Keys for an organization - Xata"
description: "Retrieve a list of API keys for a specific organization."
source: "https://xata.io/docs/api-reference/api-keys/list-api-keys-for-an-organization"
---

Skip to main content

GET

/

organizations

/

{organizationID}

/

api-keys

List API Keys for an organization

```
curl --request GET
  --url https://api.xata.tech/organizations/{organizationID}/api-keys
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.xata.tech/organizations/{organizationID}/api-keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.xata.tech/organizations/{organizationID}/api-keys', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

```
{
  "keys": [
    {
      "id": "<string>",
      "name": "<string>",
      "preview": "<string>",
      "scopes": [
        "<string>"
      ],
      "projects": [
        "<string>"
      ],
      "branches": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "expiry": "2023-11-07T05:31:56Z",
      "last_used": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "created_by_key": "<string>"
    }
  ]
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "invalid API key"
}
```

```
{
  "message": "invalid API key"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

#### Authorizations

​

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Path Parameters

​

organizationID

string

required

Unique identifier for a specific organization

Pattern: `[a-zA-Z0-9_-~:]+`

#### Response

List of API keys retrieved successfully

​

keys

object\[]

required

Array of API keys for the organization

Show child attributes

Was this page helpful?

[Previous](/docs/api-reference/organizations/get-organization-membership-limits)

[Create an Organization API Key](/docs/api-reference/api-keys/create-an-organization-api-key)

[Next](/docs/api-reference/api-keys/create-an-organization-api-key)
